# $Revision: 1.17 $, $Date: 2010/08/21 19:07:54 $
%include	/usr/lib/rpm/macros.php
%define		_status		stable
%define		_pearname	HTML_Progress2
Summary:	%{_pearname} - include a loading bar in your XHTML documents quickly and easily
Summary(pl.UTF-8):	%{_pearname} - dołączanie paska postępu w dokumentach XHTML w szybki i prosty sposób
Name:		php-pear-%{_pearname}
Version:	2.4.1
Release:	2
License:	PHP License 3.01
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	18a8e79948542ff5d37efcba9690c2e4
URL:		http://pear.php.net/package/HTML_Progress2/
BuildRequires:	php-pear-PEAR >= 1:1.5.4
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.2.0
Requires:	php-pear
Requires:	php-pear-Event_Dispatcher >= 0.9.1
Requires:	php-pear-HTML_CSS >= 1.1.2
Requires:	php-pear-HTML_Common >= 1.2.1
Requires:	php-pear-PEAR-core >= 1:1.4.3
Requires:	php-pear-PHP_Compat >= 1.4.1
Suggests:	php-gd
Suggests:	php-pear-HTML_AJAX
Suggests:	php-pear-HTML_Page2
Suggests:	php-pear-HTML_QuickForm
Suggests:	php-pear-HTML_QuickForm_Controller
Suggests:	php-pear-HTML_QuickForm_Renderer_Tableless
Suggests:	php-pear-HTML_Template_IT
Suggests:	php-pear-HTML_Template_Sigma
Suggests:	php-pear-Image_Color
Suggests:	php-pear-Log
Suggests:	php-pear-PHP_Compat
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	'pear(PEAR.*)' 'pear(HTML/QuickForm.*)' 'pear(HTML/QuickForm/Controller.*)' 'pear(Image/Color.*)' 'pear(HTML/Page2.*)' 'pear(HTML/Template/IT.*)' 'pear(HTML/Template/Sigma.*)' 'pear(Log.*)' 'pear(gd.*)' 'pear(Smarty.*)' 'pear(PHP/Compat.*)' 'pear(HTML/QuickForm/Renderer/Tableless.*)' pear(HTML/AJAX.*)

%description
This package provides a way to add a loading bar fully customizable in
existing XHTML documents. Your browser should accept DHTML feature.

Features:
- create horizontal, vertival bar and also circle, ellipse and
  polygons (square, rectangle).
- allows usage of existing external StyleSheet and/or JavaScript.
- all elements (progress, cells, labels) are customizable by their
  HTML properties.
- percent/labels are floating all around the progress meter.
- compliant with all CSS/XHMTL standards.
- integration with all template engines is very easy.
- implements Observer design pattern. It is possible to add Listeners.
- adds a customizable monitor pattern to display a progress bar.
  User-end can abort progress at any time.
- allows many progress meter on same page without uses of iframe
  solution.
- error handling system that support native PEAR_Error, but also
  PEAR_ErrorStack, and any other system you might want to plug-in.
- PHP 5 ready.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ten pakiet dostarcza sposób na dodanie w istniejących dokumentach
XHTML w pełni konfigurowalnego paska postępu. Przeglądarka musi
obsługiwać DHTML.

Możliwości:
- tworzenie poziomego lub pionowego paska, a także okręgu, elipsy i
  wielokątów (kwadratu, prostokąta)
- umożliwia zastosowanie istniejących zewnętrznych arkuszy styli i/lub
  JavaScriptu
- wszystkie elementy (postęp, komórki, etykiety) są konfigurowalne
  poprzez ich właściwości HTML
- procenty/etykiety są umieszczone naokoło miernika postępu
- jest zgodny ze wszystkimi standardami CSS/XHTML
- bardzo łatwa integracja ze wszystkimi silnikami szablonów
- implementuje wzorzec projektowy Observer; można dodać Listeners
- dodaje konfigurowalny wzorzec monitora do wyświetlania paska
  postępu; użytkownik końcowy może przerwać postęp w dowolnej chwili
- pozwala na istnienie wielu mierników postępu na tej samej stronie
  bez użycia iframe
 - system obsługi błędów obsługujący natywny PEAR_Error, ale także
   PEAR_ErrorStack, a także dowolny inny system, który chcemy podłączyć
- gotowy na PHP 5.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}
AutoProv:	no
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt docs
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/data/HTML_Progress2/
%{php_pear_dir}/HTML/Progress2
%{php_pear_dir}/HTML/Progress2.php
%{php_pear_dir}/HTML/Progress2_Lite.php

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/HTML_Progress2

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-HTML_Progress2.spec,v $
Revision 1.17  2010/08/21 19:07:54  glen
- updated deps with pearize.sh
- release 2

Revision 1.16  2008/07/28 09:45:27  adamg
- updated to 2.4.1

Revision 1.15  2008-05-02 23:13:18  adamg
- updated to 2.4.0

Revision 1.14  2008-01-31 12:16:07  glen
- rel 2

Revision 1.13  2007-09-01 19:05:14  adamg
- updated to 2.3.0

Revision 1.12  2007/03/16 20:57:09  glen
- 2.2.0

Revision 1.11  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.10  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.9  2006/12/30 10:29:32  adamg
- updated to 2.1.1

Revision 1.8  2006/09/04 09:47:51  adamg
- updated to 2.1.0

Revision 1.7  2006/05/26 20:38:06  ankry
- standarized

Revision 1.6  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.5  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.4  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.3  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.2  2005/11/03 00:14:31  qboosh
- pl
- define Epoch to 0 explicitly when using it

Revision 1.1  2005/11/01 15:50:32  adamg
- new
